Highlighted
3 Cadmium

Data Domain:サポートしているSMBバージョン(DDOS6.X以降)

解決策を見る

DDOS6.X以降はSMB5.7と同じく以下のSMBバージョンが

サポートされていると認識しております。

・SMB 1.0

・SMB 2.0

・SMB 2.1

 

1)DDO7.0、7.1リリースされていますが、サポートしている

  SMBバージョンの対応は現状も同様でSMB 3.0以降は

  未対応なのでしょうか。

 

2)SMB3.0以降が対応している場合、対応情報は公開されていますでしょうか。

 

3)DDの機能の側面でCLIからSMB対応バージョンを確認することは

  可能でしょうか。

 

どうぞよろしくお願い致します。

0 件の賞賛
1 件の受理された解決策

受理された解決策
Highlighted
モデレーター
モデレーター

Re: Data Domain:サポートしているSMBバージョン(DDOS6.X以降)

解決策を見る

1)DDO7.0、7.1リリースされていますが、サポートしている

  SMBバージョンの対応は現状も同様でSMB 3.0以降は

  未対応なのでしょうか。

 

2)SMB3.0以降が対応している場合、対応情報は公開されていますでしょうか。

手元にDDOS 7.xがないので実機確認は出来なかったのですが、リリースノートやAdminガイド、スペックシートなどどのドキュメントを見ても何も記載がないことと、(閲覧制限がかかっていますが)KB472126に記載されているDDOSによってサポートされているSMBバージョン情報にも変更がかかっていないことからも、DDOS 5.7以降変化はなくSMB 2.1までのサポートのようです。

 

3)DDの機能の側面でCLIからSMB対応バージョンを確認することは

  可能でしょうか。

メジャーバージョンまでの確認であれば「cifs option show all」が使えると思います。

 

(出力例)
# cifs option show all
All Options:

Option                                Value
-----------------------------------   -------------
domain-account-mmc-share-management   enabled (*)
idle-timeout                          1800 (*)
idmap-type                            rid (*)
loglevel                              1 (*)
max-global-open-files                 10000 (*)
max-mpx-count                         50 (*)
max-tcp-connections                   150 (*)
organizational-unit                   Computers (*)
restrict-anonymous                    disabled (*)
server-signing                        disabled (*)
tcp-window-size                       1048576 (*)
support-smb1                          enabled (*)  <= SMB1をサポート
support-smb2                          enabled (*)  <= SMB2をサポート
-----------------------------------   -------------
(*) default value


細かいバージョンはパケットキャプチャとかしないと分からなそうです。。

元の投稿で解決策を見る

0 件の賞賛
2件の返信2
Highlighted
モデレーター
モデレーター

Re: Data Domain:サポートしているSMBバージョン(DDOS6.X以降)

解決策を見る

1)DDO7.0、7.1リリースされていますが、サポートしている

  SMBバージョンの対応は現状も同様でSMB 3.0以降は

  未対応なのでしょうか。

 

2)SMB3.0以降が対応している場合、対応情報は公開されていますでしょうか。

手元にDDOS 7.xがないので実機確認は出来なかったのですが、リリースノートやAdminガイド、スペックシートなどどのドキュメントを見ても何も記載がないことと、(閲覧制限がかかっていますが)KB472126に記載されているDDOSによってサポートされているSMBバージョン情報にも変更がかかっていないことからも、DDOS 5.7以降変化はなくSMB 2.1までのサポートのようです。

 

3)DDの機能の側面でCLIからSMB対応バージョンを確認することは

  可能でしょうか。

メジャーバージョンまでの確認であれば「cifs option show all」が使えると思います。

 

(出力例)
# cifs option show all
All Options:

Option                                Value
-----------------------------------   -------------
domain-account-mmc-share-management   enabled (*)
idle-timeout                          1800 (*)
idmap-type                            rid (*)
loglevel                              1 (*)
max-global-open-files                 10000 (*)
max-mpx-count                         50 (*)
max-tcp-connections                   150 (*)
organizational-unit                   Computers (*)
restrict-anonymous                    disabled (*)
server-signing                        disabled (*)
tcp-window-size                       1048576 (*)
support-smb1                          enabled (*)  <= SMB1をサポート
support-smb2                          enabled (*)  <= SMB2をサポート
-----------------------------------   -------------
(*) default value


細かいバージョンはパケットキャプチャとかしないと分からなそうです。。

元の投稿で解決策を見る

0 件の賞賛
Highlighted
3 Cadmium

Re: Data Domain:サポートしているSMBバージョン(DDOS6.X以降)

解決策を見る

Uehara Y.さん

 

ご回答ありがとうございます。

ご回答内容、大変参考になりました。

 

 

0 件の賞賛